> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve a test (as a super admin)

> Approve a test as a super admin, transitioning it from Admin Review to Synack Review status.
The test must be in Admin Review status.




## OpenAPI

````yaml /monolith-v1-openapi.yaml post /v1/assessments/{assessment_id}/tests/{id}/approve
openapi: 3.0.3
info:
  title: Synack API
  version: 2.0.0
  description: >
    Comprehensive API for Synack's security testing platform, providing
    endpoints for managing assessments, vulnerabilities, users, and security
    testing operations.
  contact:
    name: Synack Engineering
    email: engineering@synack.com
  license:
    name: Proprietary
servers:
  - url: https://api.synack.com
    description: Commercial - V1 API
  - url: https://api.synack.us
    description: FedRAMP (Medium) - V1 API
security:
  - BearerAuth: []
  - BasicAuth: []
  - ApiKeyAuth: []
tags:
  - name: Assessments
    description: Operations related to security assessments
  - name: Tests
    description: Operations related to security tests
  - name: Vulnerabilities
    description: Operations related to security vulnerabilities
  - name: Suspected Vulnerabilities
    description: Operations related to suspected vulnerabilities
  - name: Comments
    description: Operations related to comments
  - name: Patch Verifications
    description: Operations related to patch verifications
  - name: Users
    description: Operations related to users
  - name: Assessment Groups
    description: Operations related to assessment groups
  - name: Tags
    description: Operations related to tags
  - name: Vulnerability Statuses
    description: Operations related to vulnerability statuses
  - name: Listings
    description: Operations related to listings
paths:
  /v1/assessments/{assessment_id}/tests/{id}/approve:
    post:
      tags:
        - Tests
      summary: Approve a test (as a super admin)
      description: >
        Approve a test as a super admin, transitioning it from Admin Review to
        Synack Review status.

        The test must be in Admin Review status.
      operationId: approveTest
      parameters:
        - name: assessment_id
          in: path
          required: true
          schema:
            type: string
          description: ID of the assessment
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: ID of the test
      responses:
        '200':
          description: The approved test
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Test'
        '403':
          description: >-
            The user is missing sufficient privileges or the feature is not
            enabled
          content:
            application/json:
              schema:
                $ref: 0b418fc1-8a6f-4a4d-9638-7e624c41c4cb
        '404':
          description: No assessment or test matched the given ID
          content:
            application/json:
              schema:
                $ref: 0b418fc1-8a6f-4a4d-9638-7e624c41c4cb
        '409':
          description: Test is not in Admin Review status
          content:
            application/json:
              schema:
                $ref: 0b418fc1-8a6f-4a4d-9638-7e624c41c4cb
        '422':
          description: Failed to approve the test
          content:
            application/json:
              schema:
                $ref: 0b418fc1-8a6f-4a4d-9638-7e624c41c4cb
components:
  schemas:
    Test:
      type: object
      properties:
        name:
          type: string
        testPlan:
          type: string
          enum:
            - Synack365
            - Synack90
            - Synack14
        testObjective:
          type: string
        createdAt:
          type: string
          format: date-time
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    BasicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Auth

````